A server change for the better

I was checking around my hard drive to find files to delete to free up some space and found saved pages of my Movable Type installation check from my old server and one from my new one. Somehow I was able to get SOAP installed on Earthlink, which was my old hosting service, but it didn’t seem to do any good. With Earthlink I had the minimum requirements to run Movable Type but not to use it the way it was intended or the way I wanted. Many perl modules not checked by the program are not even included on Earthlink servers and good luck trying to install them or call Earthlink install them (in other words: don’t hold your breath).

Despite the info below for Earthlink was from late 2003 and DreamHost early 2004, I doubt that the 2003 info has changed.

Then:

Earthlink output (partial excerpts): as of November 2003

DBD::mysql…
Your server does not have DBD::mysql installed. DBI and
DBD::mysql are required if you want to use the MySQL database
backend. Please consult the installation instructions for help
in installing DBD::mysql.
DBD::Pg…
Your server does not have DBD::Pg installed. DBI and DBD::Pg
are required if you want to use the PostgreSQL database
backend. Please consult the installation instructions for help
in installing DBD::Pg.
File::Temp…
Your server does not have File::Temp installed. File::Temp is
optional; it is needed if you would like to be able to
overwrite existing files when you upload. Please consult the
installation instructions for help in installing File::Temp.
Image::Magick…
Your server does not have Image::Magick installed.
Image::Magick is optional; it is needed if you would like to be
able to create thumbnails of uploaded images. Please consult
the installation instructions for help in installing
Image::Magick.

Now:

DreamHost output (partial excerpts): as of January 2004

DBD::mysql…
Your server has DBD::mysql installed (version 2.9003_1).
DBD::Pg…
Your server has DBD::Pg installed (version 1.01).
File::Temp…
Your server has File::Temp installed (version 0.12).
Image::Magick…
Your server has Image::Magick installed (version 5.44).